
From: Andi Kleen <ak@muc.de>

Add read implies exec personality.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/elf.h |    7 +++++++
 1 files changed, 7 insertions(+)

diff -puN include/asm-x86_64/elf.h~x86-64-add-read-implies-exec-macro include/asm-x86_64/elf.h
--- 25/include/asm-x86_64/elf.h~x86-64-add-read-implies-exec-macro	Tue Sep 14 17:04:07 2004
+++ 25-akpm/include/asm-x86_64/elf.h	Tue Sep 14 17:04:07 2004
@@ -144,6 +144,13 @@ typedef struct user_i387_struct elf_fpre
 extern void set_personality_64bit(void);
 #define SET_PERSONALITY(ex, ibcs2) set_personality_64bit()
 	
+/*
+ * An executable for which elf_read_implies_exec() returns TRUE will
+ * have the READ_IMPLIES_EXEC personality flag set automatically.
+ */
+#define elf_read_implies_exec_binary(ex, have_pt_gnu_stack)   \
+	 (!(have_pt_gnu_stack))
+
 extern int dump_task_regs (struct task_struct *, elf_gregset_t *);
 extern int dump_task_fpu (struct task_struct *, elf_fpregset_t *);
 
_
